/*==================================================================
                     	+------------------+
 			|   histogram.h    |
                     	+------------------+

 This include file is containing the definitions of the records
 necessary for the histogramming utility histogram.o of the hls
 library.
 It contains the general histogram_record and the added special
 purpose record for PS histogramming PSreference_record.

 First public test version.
 Beta 0.1				(Mark Plesko 22.12.94)
 
 ==================================================================*/

#include <time.h>

typedef char namestr[14] ;

typedef	struct {
	int	threshold, step, Nbins, max_elements;
	int	*N, *min, *max, *hist ;
	double	*reference, *scale ;
	namestr	*name ;
} histogram_record ;

typedef	struct {
	histogram_record *H ;
	char	mode[8] ;
	time_t 	*lastChange ;
	double	*Iset ;
} PSreference_record ;
