/* structure for the FAM_MEM */ 
struct	struct_fame	{
			familyName	fam;
			memberName	mem;
			};

/* for each group define the family_member of the magnets */


/* bendings, quadrupoles of the transfer line */
struct struct_fame bq_t[23] = {
"PSB31","T",
"PSB15","T",
"PSQ",	"T1.1",
"PSQ",	"T1.2",
"PSQ",	"T1.3",
"PSQ",	"T1.4",
"PSGBQ","T",
"PSGAQ","T",
"PSQ",	"T2.3",
"PSGCQ","T",
"PSQ",	"T2.11",
"PSQ",	"T2.12",
"PSQ",	"T2.13",
"PSQ",	"T2.14",
"PSGVQD","T",
"PSGVQF","T",
"PSQ",	"T2.17",
"PSQ",	"T2.20",
"PSQ",	"T2.21",
"PSQ",	"T2.22",
"PSQ",	"T2.23",
"PSQ",	"T2.24",
"PSQ",	"T2.25"
};

/* correctors of the transfer line */
struct struct_fame c_t[34] = {
"PSCH",	"T1.1",
"PSCH",	"T1.2",
"PSCH",	"T1.3",
"PSCH",	"T1.4",
"PSCH",	"T1.5",
"PSCH",	"T2.1",
"PSCH",	"T2.2",
"PSCH",	"T2.3",
"PSCH",	"T2.4",
"PSCH",	"T2.5",
"PSCH",	"T2.6",
"PSCH",	"T2.7",
"PSCH",	"T2.8",
"PSCH",	"T2.9",
"PSCH",	"T2.10",
"PSCH",	"T2.11",
"PSCH",	"T2.12",
"PSCV",	"T1.1",
"PSCV",	"T1.2",
"PSCV",	"T1.3",
"PSCV",	"T1.4",
"PSCV",	"T1.5",
"PSCV",	"T2.1",
"PSCV",	"T2.2",
"PSCV",	"T2.3",
"PSCV",	"T2.4",
"PSCV",	"T2.5",
"PSCV",	"T2.6",
"PSCV",	"T2.7",
"PSCV",	"T2.8",
"PSCV",	"T2.9",
"PSCV",	"T2.10",
"PSCV",	"T2.11",
"PSCV",	"T2.12"
};

/* bendings, quadrupoles, sextupoles of the storage ring */
struct struct_fame bqs_s[42] = {
"PSB",	"S",
"PSQF",	"S",
"PSQD",	"S",
"PSQ1",	"S1",
"PSQ1",	"S2",
"PSQ1",	"S3",
"PSQ1",	"S4",
"PSQ1",	"S5",
"PSQ1",	"S6",
"PSQ1",	"S7",
"PSQ1",	"S8",
"PSQ1",	"S9",
"PSQ1",	"S10",
"PSQ1",	"S11",
"PSQ1",	"S12",
"PSQ2",	"S1",
"PSQ2",	"S2",
"PSQ2",	"S3",
"PSQ2",	"S4",
"PSQ2",	"S5",
"PSQ2",	"S6",
"PSQ2",	"S7",
"PSQ2",	"S8",
"PSQ2",	"S9",
"PSQ2",	"S10",
"PSQ2",	"S11",
"PSQ2",	"S12",
"PSQ3",	"S1",
"PSQ3",	"S2",
"PSQ3",	"S3",
"PSQ3",	"S4",
"PSQ3",	"S5",
"PSQ3",	"S6",
"PSQ3",	"S7",
"PSQ3",	"S8",
"PSQ3",	"S9",
"PSQ3",	"S10",
"PSQ3",	"S11",
"PSQ3",	"S12",
"PSS1",	"S",
"PSSF",	"S",
"PSSD",	"S"
};

/* correctors of the storage ring */
/* Added the 8th H and V correctors in section 6 --> now 166 instead of 164 */
/*                                        (F.I. 31-jul-2012) */
struct struct_fame c_s[166] = {
"PSCH",	"S1.1",
"PSCH",	"S1.2",
"PSCH",	"S1.3",
"PSCH",	"S1.4",
"PSCH",	"S1.5",
"PSCH",	"S1.6",
"PSCH",	"S1.7",
"PSCH",	"S2.1",
"PSCH",	"S2.2",
"PSCH",	"S2.3",
"PSCH",	"S2.4",
"PSCH",	"S2.5",
"PSCH",	"S2.6",
"PSCH",	"S2.7",
"PSCH",	"S3.1",
"PSCH",	"S3.2",
"PSCH",	"S3.3",
"PSCH",	"S3.4",
"PSCH",	"S3.5",
"PSCH",	"S3.6",
"PSCH",	"S3.7",
"PSCH",	"S4.1",
"PSCH",	"S4.2",
"PSCH",	"S4.3",
"PSCH",	"S4.4",
"PSCH",	"S4.5",
"PSCH",	"S4.6",
"PSCH",	"S4.7",
"PSCH",	"S5.1",
"PSCH",	"S5.2",
"PSCH",	"S5.3",
"PSCH",	"S5.4",
"PSCH",	"S5.5",
"PSCH",	"S5.6",
"PSCH",	"S5.7",
"PSCH",	"S6.1",
"PSCH",	"S6.2",
"PSCH",	"S6.3",
"PSCH",	"S6.8",
"PSCH",	"S6.4",
"PSCH",	"S6.5",
"PSCH",	"S6.6",
"PSCH",	"S6.7",
"PSCH",	"S7.1",
"PSCH",	"S7.2",
"PSCH",	"S7.3",
"PSCH",	"S7.4",
"PSCH",	"S7.5",
"PSCH",	"S7.6",
"PSCH",	"S7.7",
"PSCH",	"S8.1",
"PSCH",	"S8.2",
"PSCH",	"S8.3",
"PSCH",	"S8.4",
"PSCH",	"S8.5",
"PSCH",	"S8.6",
"PSCH",	"S8.7",
"PSCH",	"S9.1",
"PSCH",	"S9.2",
"PSCH",	"S9.3",
"PSCH",	"S9.4",
"PSCH",	"S9.5",
"PSCH",	"S9.6",
"PSCH",	"S9.7",
"PSCH",	"S10.1",
"PSCH",	"S10.2",
"PSCH",	"S10.3",
"PSCH",	"S10.4",
"PSCH",	"S10.5",
"PSCH",	"S10.6",
"PSCH",	"S10.7",
"PSCH",	"S11.1",
"PSCH",	"S11.2",
"PSCH",	"S11.3",
"PSCH",	"S11.4",
"PSCH",	"S11.5",
"PSCH",	"S11.6",
"PSCH",	"S11.7",
"PSCH",	"S12.1",
"PSCH",	"S12.2",
"PSCH",	"S12.5",
"PSCH",	"S12.6",
"PSCH",	"S12.7",
"PSCV",	"S1.1",
"PSCV",	"S1.2",
"PSCV",	"S1.3",
"PSCV",	"S1.4",
"PSCV",	"S1.5",
"PSCV",	"S1.6",
"PSCV",	"S1.7",
"PSCV",	"S2.1",
"PSCV",	"S2.2",
"PSCV",	"S2.3",
"PSCV",	"S2.4",
"PSCV",	"S2.5",
"PSCV",	"S2.6",
"PSCV",	"S2.7",
"PSCV",	"S3.1",
"PSCV",	"S3.2",
"PSCV",	"S3.3",
"PSCV",	"S3.4",
"PSCV",	"S3.5",
"PSCV",	"S3.6",
"PSCV",	"S3.7",
"PSCV",	"S4.1",
"PSCV",	"S4.2",
"PSCV",	"S4.3",
"PSCV",	"S4.4",
"PSCV",	"S4.5",
"PSCV",	"S4.6",
"PSCV",	"S4.7",
"PSCV",	"S5.1",
"PSCV",	"S5.2",
"PSCV",	"S5.3",
"PSCV",	"S5.4",
"PSCV",	"S5.5",
"PSCV",	"S5.6",
"PSCV",	"S5.7",
"PSCV",	"S6.1",
"PSCV",	"S6.2",
"PSCV",	"S6.3",
"PSCV",	"S6.8",
"PSCV",	"S6.4",
"PSCV",	"S6.5",
"PSCV",	"S6.6",
"PSCV",	"S6.7",
"PSCV",	"S7.1",
"PSCV",	"S7.2",
"PSCV",	"S7.3",
"PSCV",	"S7.4",
"PSCV",	"S7.5",
"PSCV",	"S7.6",
"PSCV",	"S7.7",
"PSCV",	"S8.1",
"PSCV",	"S8.2",
"PSCV",	"S8.3",
"PSCV",	"S8.4",
"PSCV",	"S8.5",
"PSCV",	"S8.6",
"PSCV",	"S8.7",
"PSCV",	"S9.1",
"PSCV",	"S9.2",
"PSCV",	"S9.3",
"PSCV",	"S9.4",
"PSCV",	"S9.5",
"PSCV",	"S9.6",
"PSCV",	"S9.7",
"PSCV",	"S10.1",
"PSCV",	"S10.2",
"PSCV",	"S10.3",
"PSCV",	"S10.4",
"PSCV",	"S10.5",
"PSCV",	"S10.6",
"PSCV",	"S10.7",
"PSCV",	"S11.1",
"PSCV",	"S11.2",
"PSCV",	"S11.3",
"PSCV",	"S11.4",
"PSCV",	"S11.5",
"PSCV",	"S11.6",
"PSCV",	"S11.7",
"PSCV",	"S12.1",
"PSCV",	"S12.2",
"PSCV",	"S12.5",
"PSCV",	"S12.6",
"PSCV",	"S12.7"
};
