#include <stdio.h>
#include <math.h> 
#include <hlsvar.h>
main( argc, argv)
  int argc;
  char *argv[];
{
  int i, k, j, res;
  int io, il;
  double so, sl;
  double field, fieldh;
  double tune[2];
  double pi;
  double x[11], y[11];
  FILE *fp, *fp1;

  pi=acos(-1.0);
  input_open_files();
  input_structure("strS");
  input_close_files();
//   res = read_energy_from_file("lidiatest");
//   res = read_magnets_from_file("lidiatest");
//   res = read_IDgaps_from_file("lidiatest");

res = read_energy_from_field(SR);
  res = read_magnets_from_field();
  res = read_correctors_from_field();
  res = read_IDgaps_from_field();
  /*res = read_kickers_from_field();*/
  
  fp=fopen("bare","w");
  fp1=fopen("nobare","w");
  f2s_magnets();
  f2l_bends();
  f2s_IDs();
  for (i=0;i<N_ID; i++)
  {
    id[i]->closed=0;
  }
  update_twiss_functions(SR, ge[0]->twiss);
  printf("Model Tunes bare: %lf\t%lf\t%lf\n",total_length,model_tune[0], model_tune[1]);
   for (j=1; j<N_general; j++)
   {
   fprintf(fp,"%s\t%lf\t%lf\n",ge[j]->name,ge[j]->twiss->beta[0],ge[j]->twiss->beta[1]);
  } 
  for (i=0;i<N_ID; i++)
  {
    id[i]->closed=1;
    id[i]->gap=id[i]->pPar->id.g_low;
    id[i]->phase = 0.0;
    if (id[i]->pPar->id.type == EEW)
    {
    id[i]->gap=id[i]->pPar->id.g_high;
    id[i]->gap_h=id[i]->pPar->id.gh_high;
    }
    if (id[i]->pPar->id.type == sazaki)
    {
/*     get_single_IDsazaki ( id[i]->pAcc[0], &id[i]->gap, &id[i]->phase );*/
     printf("%s\t%lf\t%lf\n",id[i]->pGen->name,id[i]->gap, id[i]->phase);
    }
  }
  f2s_IDs();
  update_twiss_functions(SR, ge[0]->twiss);
  printf("Model Tunes nobare: %lf\t %lf\t%lf\n",energy.E,model_tune[0], model_tune[1]);
 for (i=0; i<N_general; i++)
 {
   fprintf(fp1,"%lf\t%lf\n",ge[i]->twiss->beta[0],ge[i]->twiss->beta[1]);
 }  
  

/*{  
  for (i=0;i<N_ID; i++)
  {
    {
    printf("%s\t%lf\t%lf\t%lf\t%lf\n",id[i]->pGen->name,id[i]->gap,id[i]->phase,
        id[i]->curvature*energy.E/0.29979245,id[i]->curvature_h*energy.E/0.29979245);
    }
  }
    fprintf(fp,"\n");
  f2s_IDs();
}*/  
/*for (j=0; j<45; j++)  update_twiss_functions(SR, ge[0]->twiss);
    fprintf(fp,"%lf\t%lf\n",model_tune[0],model_tune[1]);
        fflush(fp);

    fprintf(fp,"%s\t%lf\t%lf\t%lf\n",ki[1]->pGen->name,
            ki[1]->pGen->twiss->beta[0],
            ki[1]->pGen->twiss->alpha[0],ki[1]->pGen->twiss->phase[0]);
        fflush(fp);
  for (i=0;i<N_BPM;i++)
  {
    fprintf(fp,"%s\t%lf\t%lf\t%lf\n",po[i]->pGen->name,
            po[i]->pGen->twiss->beta[0],
            po[i]->pGen->twiss->alpha[0],po[i]->pGen->twiss->phase[0]);
    
        fflush(fp);
  }
  tune[0]=model_tune[0];
  tune[1]=model_tune[1];
  printf("%lf\t%lf\t%lf\t%lf\n",energy.E,total_length,model_tune[0], model_tune[1]);
  id[0]->closed=1;
  id[0]->gap=19.0;
  id[0]->phase=0.0;
   */
}
